Subject: Re: help with git usage

From: Jakub Narebski <[email-masked]>
Date: Fri, 9 May 2008 01:07:10 +0200

Dnia czwartek 8. maja 2008 00:41, Daniel Quinlan napisał:

> I'm looking for a way to embed some identifying information about  
> version into compiled programs.  I hasten to add that I am not looking
> to expand RCS-like tags.  Unlike CVS/RCS, git provides a single value
> that characterizes the whole distribution, at least if everything is
> committed. 

Take a look how git, tig and Linux kernel does it with *VERSION* file 
and Makefile (you can take a look at Makefile and GIT-VERSION-GEN via 
gitweb web interface, e.g. at http://git.kernel.org or 
http://repo.or.cz).

In short: use git-describe output.
-- 
Jakub Narebski
Poland